WellbyteWellbyte

GET /v1/bilibili/app/fetch_search_all

search all

stable · 2 credits per success

search all (returns all types of search results);keyword: Search keyword (required);cursor: Pagination cursor. Leave empty for the first page; for the next page pass;back `data.pagination.next` from the previous response. This endpoint uses cursor;pagination and does not support random access by page number.;page_size: Results per page;order: Sort order (0=comprehensive);Search results including …

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl -s 'https://api.wellbyte.net/v1/bilibili/app/fetch_search_all?order=NaN&cursor=demo&keyword=%E5%8E%9F%E7%A5%9E&page_size=NaN' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-08-27

data{
code:0
data{
nav[ 2 items ]
item[ 2 items ]
page:"1"
keyword:"原神"
trackid:"9256152897271183395"
annotation{ 1 item }
pagination{ 1 item }
}
meta{
endpoint:"bilibili.app.fetch_search_all"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    orderintegerqueryno排序方式demo
    cursorstringqueryno翻页游标,首页留空;翻页时传回上一页响应的 data.pagination.nextdemo
    keywordstringqueryyes搜索关键词原神
    page_sizeintegerqueryno每页数量demo

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 from upstream that fails the quality gate — costs 0.

    Search

    Search endpoints and docs